# data folder

## ANNNI1D

### ANNNI1D/CorrLength/k{\kappa}_Beta{\beta}
Used for Fig.1(e).

Columns:
1. r: distance between two spins
2. Corr: the correlation function
3. Prob: the probablity that the two spins are in the same cluster


### ANNNI1D/CorrLength/CorrL_k{\kappa}
The correlation length obtained from exponential fitting.

Columns:
1. Beta: inverse temperature
2. CorrL: correlation length
3. Err: error of CorrL


### ANNNI1D/ClusterSize/Csize_{cluster}_k{\kappa}
The cluster size for two types of cluster criteria obtained from exponential fitting.

Columns:
1. Beta: inverse temperature
2. Csize: correlation length
3. Err: error of Csize


## ANNNIBethe

### ANNNIBethe/{region}_c{c}.dat
The Tc and Tp of ANNNI model on Bethe lattice are obtained from cavity field method.

{region} = NNNA or SALR

Columns:
1. kappas   
2. Tc      
3. Tp(y): percolation only in axial direction       
4. Tp(ck): percolation temperature of CK clusters      
5. Tp(nnna): percolation temperature of JCS clusters     
6. Tp(pleim): percolation temperature of PH clusters

{region} = lamellar

Columns:
1. Tc
2. Beta: the inverse temperature corresponding to Tc
3. kappa


## ANNNI2D

### ANNNI2D/TMresults/ylextrapolate_{h}.dat
Reference: [1] Charbonneau, P. & Hu, Y. (2021). Data and scripts from: Resolving the two-dimensional ANNNI model using transfer matrices. Duke Research Data Repository. https://doi.org/10.7924/r4k074j0t

Extrapolation of Y_L into infinite system size. If such characteristic temperature does not exist, denoted as nan.

Columns:

1. system frustration strength \kappa
2. T_min
3. error bar of T_min
4. T_max
5. error bar of T_max
6. Y_L(T_min)
7. error bar of previous column
8. Y_L(T_max)
9. error bar of previous column


### ANNNI2D/TMresults/bf/ANNNI2D_xi{\kappa}_L{L}.dat
Free energy calculated with TM codes of Ref.[1], for various \kappa and system size L.

Columns:
1. beta: inverse temperature
2. bf: beta * free energy


### ANNNI2D/TMresults/ANNNI2D_CrossE_xi{\kappa}.dat
The crossing points in E - T curves for each neighbor system sizes.

Columns:
1. L: arithmetic mean of the two neighbor system sizes
2. Tc: the crossing point


### ANNNI2D/dynamics/{MC method}/corrt_magn1_kappa{\kappa}_T{Tc}.dat

The correlation time for various MC methods and different kappas at the critical temperatures.

Columns:
1. system size L
2. tau_{step}, with the time unit of MC steps
3. error of tau_{step}
4. average cluster size
5. error of average cluster size


### ANNNI2D/dynamics/{MC method}/acc_kappa{\kappa}_T{Tc}.dat
The acceptance rate for proposed algorithms at various kappas and at the critical temperatures.

Columns:
1. system size L
2. acceptance rates
3. error of acceptance rates


### ANNNI2D/percolation/pleimling/perc_kappa{\kappa}_L{L}.dat
The percolation probabilities used to determine Tp of JCS/PH clusters.

Columns:
1. T: temperature
2. PercAll: probability that the cluster percolates in all directions     
3. PercAnis: probability that the cluster percolates only in the axial direction
4. PercElse: probability that the cluster percolates in all non-axial directions   
5. Err1: errors of PercAll         
6. Err2: errors of PercAnis        
7. Err3: errors of PercElse
